import { LatLng } from 'leaflet'

import { Trashbox, isTrashboxResponse } from '../../api/trashbox/types'
import useFetch, { UseFetchReturn } from '../useFetch'

import { Category } from '../../assets/category'
import { composeTrashboxURL, processTrashbox } from '../../api/trashbox'

const useTrashboxes = (position: LatLng, category: Category): UseFetchReturn<Trashbox[]> => (
    // TODO: Remove once available
    // eslint-disable-next-line react-hooks/rules-of-hooks
    useFetch(
        composeTrashboxURL(position, category),
        'GET',
        true,
        isTrashboxResponse,
        processTrashbox,
        [],
    )
)

export default useTrashboxes
